QGIS Application - Bug report #8756

colour expressions return rgb(a) instead of hex values

2013-10-03 01:49 AM - Tim Sutton

Status: Closed

Priority: Normal
Assignee: Nathan Woodrow
Category: Expressions

Affected QGIS version:2.0.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 17465

Description

The colour expressions documentation indicate that they return a hex e.g. from the ramp_colour help:

Example
ramp_color('Spectral',0.3) — '#fdbe73'

However it actually writes an RGBA value to the field when the expression is run.

Associated revisions

Revision 3499a390 - 2014-05-18 03:28 PM - Nathan Woodrow

Fix #8756 - Update function help for colour functions

History

#1 - 2014-05-18 06:29 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"3499a390d643c454b8b2eaca4d63979fe7005263".
